Bug 530933 - system-config-display fails with Nvidia FX5200 video card on F12 Beta
system-config-display fails with Nvidia FX5200 video card on F12 Beta
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 03:14 EDT by Joachim Backes
Modified: 2010-12-03 22:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:41:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2009-10-26 03:14:14 EDT
Description of problem:
After installing F12 Beta from scratch, my screen operates (Nvidia FX5200, 1280x1024, with nouveau) operates correctely. Then I tried to reduce the resolultion, and I installed system-config-display. But when running system-config-display, it fails both with and without --reconfig option.

Version-Release number of selected component (if applicable):

system-config-display-2.2-1.fc12.i686
How reproducible:

Each time
Steps to Reproduce:
1.system-config-display in runlevel 3
2.
3.
  
Actual results:
Failure

Expected results:
A new xorg.conf

Additional info:
1. lspci -vv
=================
02:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] (rev a1) (prog-if 00 [VGA controller])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (1250ns min, 250ns max)
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at ec000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (32-bit, prefetchable) [size=128M]
	[virtual] Expansion ROM at ed000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
2. Xorg.setup.log
=================
X.Org X Server 1.7.0
Release Date: 2009-10-2
X Protocol Version 11, Revision 0
Build Operating System:  2.6.18-164.el5 
Current Operating System: Linux eule1 2.6.31.1-56.fc12.i686.PAE #1 SMP Tue Sep 29 16:16:16 EDT 2009 i686
Kernel command line: ro root=LABEL=/F12  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=de-latin1-nodeadkeys rhgb quiet
Build Date: 05 October 2009  12:36:49AM
Build ID: xorg-x11-server 1.7.0-1.fc12 
Current version of pixman: 0.16.2
	Before reporting problems, check http://bodhi.fedoraproject.org/
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/dev/null", Time: Mon Oct 26 08:02:26 2009
(++) Using config file: "/tmp/tmpfcqchBxorg.config"
The PCI device has a kernel module claiming it.
This driver cannot operate until it has been unloaded
(EE) No devices detected.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at http://bodhi.fedoraproject.org/
 for help. 
Please also check the log file at "/dev/null" for additional information.
Comment 1 Joachim Backes 2009-10-26 06:50:50 EDT
I forgot to report the system-config-display error msg itself:

system-config-display
Couldn't start X server on card 0
Couldn't start X server with old config, trying with a fresh configuration
Couldn't start X server on card 0
Error, failed to start X server.
Comment 2 Adam Williamson 2009-10-26 16:10:15 EDT
The problem is that s-c-d uses the driver detection lists in /usr/share/hwdata/videoaliases , not X.org's own detection logic, so s-c-d and X.org auto-detection don't always behave the same. Currently s-c-d will use the 'nv' driver for NVIDIA cards, not the 'nouveau' driver which ought to be the default since F11. nv fails to load if the nouveau kernel module is loaded (which it usually will be).

The best fix here would be to make s-c-d use 'nouveau' rather than 'nv' for NVIDIA cards. One way to do this would be to have xorg-x11-drv-nouveau ship a /usr/share/hwdata/videoaliases/nouveau.xinf that overrides the nv.xinf (not sure if that's possible or if we should just drop nv.xinf). A better way, probably, would be to have s-c-d use X.org's detection logic so it behaves the same as X.org.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Joachim Backes 2009-10-27 02:06:47 EDT
(In reply to comment #2)
> The problem is that s-c-d uses the driver detection lists in
> /usr/share/hwdata/videoaliases , not X.org's own detection logic, so s-c-d and
> X.org auto-detection don't always behave the same. Currently s-c-d will use the
> 'nv' driver for NVIDIA cards, not the 'nouveau' driver which ought to be the
> default since F11. nv fails to load if the nouveau kernel module is loaded
> (which it usually will be).
> 
> The best fix here would be to make s-c-d use 'nouveau' rather than 'nv' for
> NVIDIA cards. One way to do this would be to have xorg-x11-drv-nouveau ship a
> /usr/share/hwdata/videoaliases/nouveau.xinf that overrides the nv.xinf (not
> sure if that's possible or if we should just drop nv.xinf). A better way,
> probably, would be to have s-c-d use X.org's detection logic so it behaves the
> same as X.org.
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

This may be OK, but, rather weird,  my system contains *no* xorg.conf, 
but it is fully running with the Gnome desktop. How to modify a 
non-existing file :-)
Comment 4 Adam Williamson 2009-10-27 21:36:39 EDT
As I mentioned on the mailing list, that's perfectly normal and is the default situation in any recent Fedora release - no xorg.conf leaves everything to X.org auto-detection. You only need to create an xorg.conf if something is wrong and you need to tweak an X config setting.

s-c-d creates or modifies xorg.conf every time you complete it, though. That's what it's _for_. It's from a time when every system had xorg.conf . :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matěj Cepl 2009-11-05 12:19:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Adam Williamson 2009-11-05 17:51:53 EST
no need. see comment #2. this has not changed.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Joachim Backes 2009-11-06 07:26:45 EST
(In reply to comment #5)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.
> Users who have experienced this problem are encouraged to upgrade their system
> to the latest version of their packages (at least F12Beta, but even better if
> the very latest versions).
> 
> Please, if you experience this problem on the up-to-date system, let us now in
> the comment for this bug, or whether the upgraded system works for you.
> 
> If you won't be able to reply in one month, I will have to close this bug as
> INSUFFICIENT_DATA. Thank you.
> 
> [This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm
> adding myself to the CC list for each bug, so I'll see any comments you make
> after this and do my best to make sure every issue gets proper attention.]  

Still system-config-display fails with the following Xorg.setup.log:

-------------------------------------- snip ----------------------------------
X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Operating System:  2.6.18-164.2.1.el5 
Current Operating System: Linux eule1 2.6.31.5-117.fc12.i686.PAE #1 SMP Wed Nov 4 11:30:42 EST 2009 i686
Kernel command line: ro root=UUID=c253e04d-c01a-46fc-9f8b-3c6c9f31722e  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=de-latin1-nodeadkeys rhgb quiet 3
Build Date: 04 November 2009  04:35:42PM
Build ID: xorg-x11-server 1.7.1-6.fc12 
Current version of pixman: 0.16.2
	Before reporting problems, check http://bodhi.fedoraproject.org/
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/dev/null", Time: Fri Nov  6 13:17:31 2009
(++) Using config file: "/tmp/tmpVW0xWXxorg.config"
The PCI device has a kernel module claiming it.
This driver cannot operate until it has been unloaded
(EE) No devices detected.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support 
	 at http://bodhi.fedoraproject.org/
 for help. 
Please also check the log file at "/dev/null" for additional information.
-------------------------------------- snip ----------------------------------

My F12 is uptodate (On november 6, the last "yum update" has been performed).
Comment 8 Bug Zapper 2009-11-16 09:20:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-11-04 05:07:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-03 22:41:28 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.